org.deidentifier.arx.test

## Class AbstractTest

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest

Direct Known Subclasses:
  AbstractAnonymizationTest, AbstractTestUtilityMetrics, AbstractTestUtilityMetricsPrecomputation, TestAnonymization, TestDataHandle, TestDataImport, TestDataStatistics, TestIllegalArguments, TestMicroaggregation, TestSolutionSpaceClassification, TestSorting

    public abstract class AbstractTest
    extends java.lang.Object

Abstract test class

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `AbstractTest.TestMetric` Enum for metrics

### Constructor Summary

Constructors
Constructor and Description
`AbstractTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTest

    public AbstractTest()

### Method Detail

#### setUp

    public void setUp()